# TitleValidation_PostgreSQL Class Reference

`#include <TitleValidationDB_PostgreSQL.h>`

Inherits PostgreSQLInterface, and RakNet::FunctionThreadDependentClass.

List of all members.

## Public Member Functions
bool | CreateTitleValidationTables (void)
bool | DestroyTitleValidationTables (void)
virtual void | PushFunctor (TitleValidationFunctor *functor, void *context=0)
void | AssignCallback (TitleValidationDBCBInterface *cb)

## Detailed Description

Provides a central class for all TitleValidation functionality using the PostgreSQL interface If you are using more than one class that uses functionThreads, you should maintain this separately and call AssignFunctionThread() to avoid unnecessary threads.

## Member Function Documentation

void TitleValidation_PostgreSQL::AssignCallback | ( | TitleValidationDBCBInterface * | cb | ) |

Assigns a callback to get the results of processing.

Parameters:

  `[in]` | A | structure allocated on the HEAP (using new) with the input parameters filled in.

bool TitleValidation_PostgreSQL::CreateTitleValidationTables | ( | void |  | ) |

Create the tables used by the ranking server, for all applications. Call this first. I recommend using UTF8 for the database encoding within PostgreSQL if you are going to store binary data

Returns:
  True on success, false on failure.

bool TitleValidation_PostgreSQL::DestroyTitleValidationTables | ( | void |  | ) |

Destroy the tables used by the ranking server. Don't call this unless you don't want to use the ranking server anymore, or are testing.

Returns:
  True on success, false on failure.

void TitleValidation_PostgreSQL::PushFunctor | ( | TitleValidationFunctor * | functor,
|  | void * | context = `0` |
| ) |  |  | `[virtual]`

Push one of the above *_PostgreSQLImpl functors to run.

Parameters:

  | functor | A structure allocated on the HEAP (using new) with the input parameters filled in.

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby/TitleValidationDB_PostgreRepository/TitleValidationDB_PostgreSQL.h
- C:/RakNet/DependentExtensions/Lobby/TitleValidationDB_PostgreRepository/TitleValidationDB_PostgreSQL.cpp